Memcached::replace
Memcached::set
Memcached
PHP Manual

# Memcached::replaceByKey

(PECL memcached >= 0.1.0)

Memcached::replaceByKey — Replace the item under an existing key on a specific server

### Description

public bool Memcached::replaceByKey ( string `$server_key` , string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::replaceByKey() is functionally equivalent to Memcached::replace, except that the free-form `server_key` can be used to map the `key` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parameters

`server_key`

  The key identifying the server to store the value on.

`key`

  The key under which to store the value.

`value`

  The value to store.

`expiration`

  The expiration time, defaults to 0. See Expiration Times for more info.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key does not exist.

### See Also

- Memcached::replace - Replace the item under an existing key
- Memcached::set - Store an item
- Memcached::add - Add an item under a new key

Memcached::replace
Memcached::set
Memcached
PHP Manual